### Function

# Gimp text_layer_get_markup

#### Declaration [src]

    gchar*
    gimp_text_layer_get_markup (
      GimpLayer* layer
    )

#### Description [src]

Get the markup from a text layer as string.

This procedure returns the markup of the styles from a text layer. The markup will be in the form of Pango’s markup - See https://www.pango.org/ for more information about Pango and its markup. Note: Setting the markup of a text layer using Pango’s markup is not supported for now.

Available since: | 2.8

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`

         The markup which represents the style of the specified text layer.
         The returned value must be freed with g_free().

| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.